% This is the Matlab Script to generate the 2D plot of the P values of Interaction Effect.
% The author can make it a slight change to generate their own plot. 
% Author: Wenchao Zhang, Noble Research Institute
clc;
clear all;
close all;
chr_arry      = [1, 217, 356, 548, 688, 818, 967, 1058, 1176, 1292, 1390, 1540, 1619];
% plot p_Interaction 
Pvalue_Inter_File     = 'C:\Users\PATOWAS_Support_Scripts\Example_PS_Inter.txt';
Pvalue_Inter_Table  = readtable(Pvalue_Inter_File); 
Pvalue_Inter_Data   = table2array(Pvalue_Inter_Table);
NEG_LogP_Matrix =[];
for line= 1:length(Pvalue_Inter_Data)
    i = Pvalue_Inter_Data(line, 1);
    j=  Pvalue_Inter_Data(line, 2);
    neg_logp=-log10(Pvalue_Inter_Data(line, 3));
    NEG_LogP_Matrix(i,j) =neg_logp;
end
figure(1);
imagesc(NEG_LogP_Matrix);
xlabel('marker i');
ylabel('marker j');
colorbar;